package com.friday.distributor.mapper;

import com.friday.distributor.bean.TaskInvokeFilter;
import com.friday.distributor.po.TaskInvoke;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TaskInvokeMapper {
    void insertTaskInvoke(TaskInvoke task);
    void updateTaskInvoke(TaskInvoke task);
    TaskInvoke selectTaskByTaskId(String taskId);
    List<TaskInvoke> selectTasks(TaskInvokeFilter filter);
}
